Subject: Re: [PATCH v4 7/7] ssh signing: verify ssh-keygen in test prereq

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Dec 2021 10:46:36 -0800

Junio C Hamano <[email-masked]> writes:

> Fabian Stelzer <[email-masked]> writes:
>
>> Yes, that looks good. In this case the conflict is rather trivial, but
>> how could i prevent this / make it easier for you to merge these?
>> Especially since in this case the conflict only arose after a reroll
>> when both topics were already in seen. For a new topic i can of course
>> make them as "on top of XXX". Should I in the future rebase the
>> "support non ssh-* keytypes" topic on top of this series and mark it
>> as such? Or whats a good way to deal with things like this? (besides
>> avoiding merge conflicts altogether :D)
>
> For this particular one, my rerere database already knows how the
> conflict and its resolution should look like, so there is nothing
> that is urgently needed.
>
> If the other topic were to be rerolled, since either has hit 'next',

Sorry, "since neither has hit 'next' yet," was what I meant to type.
Not being in 'next' allows us to replace the series without having
to do "oops, that earlier one was wrong, and here is a band-aid".

Thanks.

> basing it on top of the other, essentially making the result into a
> single series, may be the easiest (and that is basically avoiding
> conflicts altogether ;-).
>
> Thanks.